
# NEMO 5 playground

Contains a plyground to run NEMO5 (ver. ) with XIOS TRUNK (ver. 2311).

## Structure

* **nemo5_src** and **xios_2311_src** contain the sources for build the applications.
* The **inputs** are `reference rundirs` with the required namelists and all required files for each resolution.
* **scripts** contains utils to compile and execute, expected to be used as boilerplates.

## Usage

1. Compile XIOS
````bash
# At xios_3211_src dir:
./make_xios --arch mn5_gpp_intel --job 10 --build_dir xios_impi
./make_xios --arch mn5_gpp_intel_openmpi --job 10 --build_dir xios_ompi
````
> If you need to recompile XIOS, use `--full`.

2. Compile NEMO5:

    2.1. Change the ARCH file with the XIOS build dir (nemo5_src/arch/arch-mn5_gpp_intel*)
    ````bash
    %XIOS_INC            -I/your/path/to/xios_2311_src/inc
    %XIOS_LIB            -L/your/path/to/xios_2311_src/lib -lxios -lstdc++
    ````
    2.2. Submit the compilations, several options available
    ````bash
    # At nemo5_src dir:

    source ../scripts/env-intel-mpi.sh      #select the env 

    # INTEL FRO ICE
    ./makenemo -n GLO-INTEL-IMPI-FRO -m mn5_gpp_intel -j 8 -r ORCA2_ICE_PISCES -d "OCE ICE" add_key 'bld::tool::fppkeys key_si3 key_xios key_qco key_vco_1d3d' del_key 'key_top key_RK3'
    
    # INTEL RK3 ICE
    ./makenemo -n GLO-INTEL-IMPI-RK3 -m mn5_gpp_intel -j 8 -r ORCA2_ICE_PISCES -d "OCE ICE" add_key 'bld::tool::fppkeys key_si3 key_xios key_qco key_vco_1d3d key_RK3' del_key 'key_top'
    
    source ../scripts/env-intel-ompi.sh     #select env

    # INTEL+OpenMPI FRO ICE
    ./makenemo -n GLO-INTEL-OMPI-FRO -m mn5_gpp_intel_openmpi -j 8 -r ORCA2_ICE_PISCES -d "OCE ICE" add_key 'bld::tool::fppkeys key_si3 key_xios key_qco key_vco_1d3d' del_key 'key_top key_RK3'

    # INTEL+OpenMPI RK3 ICE
    ./makenemo -n GLO-INTEL-OMPI-RK3 -m mn5_gpp_intel_openmpi -j 8 -r ORCA2_ICE_PISCES -d "OCE ICE" add_key 'bld::tool::fppkeys key_si3 key_xios key_qco key_vco_1d3d key_RK3' del_key 'key_top'


    ````
3. Execute the model:

    3.1. Untar inputs 

    3.2. Check the boilerplate to execute the model.


